# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="23yZ-f32-A0~"
NOVELL_FILE32="patchfiles/gw12.0.2_full_linux_multi.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2 versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell Groupwise Administration ConsoleOne Snapins"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-GW-8"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_da linguas_de linguas_es linguas_fi linguas_fr linguas_it linguas_nl linguas_no linguas_pt linguas_sv"

DEPEND="app-arch/p7zip"

RDEPEND="virtual/libc
	>=virtual/jre-1.6
	>=app-admin/netiq-novlc1-1.3.6_p1"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	# year broken rpm p7zip ignores it
#	rpm_unpack ./../gw${MY_PV}_full_linux_multi/admin/${PN}-${MY_PV}.i586.rpm
	7z x ./../gw${MY_PV}_full_linux_multi/admin/novell-groupwise-admin-${MY_PV}.i586.rpm
	7z x novell-groupwise-admin-${MY_PV}.i586.cpio

}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	java-pkg_jarinto /usr/ConsoleOne/ConsoleOneExt
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/ConsoleOneExt/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/GroupWise
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/GroupWise/*.jar
	java-pkg_jarinto /usr/ConsoleOne/lib/GroupWise
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/lib/GroupWise/*.jar
	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/help/*
	into /usr/ConsoleOne
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/bin/*.so*
	into /usr/ConsoleOne
	dobin "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/bin/gwcheck*
	insinto /usr/ConsoleOne/lib
	doins "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/bin/*.fil
	doins "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/bin/*.xml
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/man*/*.*
	use linguas_da && doman -i18n=da "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/da/*/*.*
	use linguas_de && doman -i18n=de "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/de/*/*.*
	use linguas_es && doman -i18n=es "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/es/*/*.*
	use linguas_fi && doman -i18n=fi "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/fi/*/*.*
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/fr/*/*.*
	use linguas_it && doman -i18n=it "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/it/*/*.*
	use linguas_nl && doman -i18n=nl "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/nl/*/*.*
	use linguas_no && doman -i18n=no "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/no/*/*.*
	use linguas_pt && doman -i18n=pt "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/pt/*/*.*
	use linguas_sv && doman -i18n=sv "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/sv/*/*.*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
