# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="07jlDtL8vec~"
NOVELL_FILE32="patchfiles/am21snp2.exe"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2

DESCRIPTION="Novell Account Manager 2.01 Snap-in"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-ConsoleOne-SnapIn"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15"

RDEPEND="virtual/libc
	>=virtual/jre-1.6
	>=app-admin/netiq-novlc1-1.3.6_p1"

src_unpack() {
	cd "${WORKDIR}"
	#unpack ${A}
	7z x "${DISTDIR}"/am21snp2.exe
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"


	java-pkg_jarinto /usr/ConsoleOne/lib/nds4nt
	java-pkg_dojar "${WORKDIR}"/lib/nds4nt/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/nds4nt
	java-pkg_dojar "${WORKDIR}"/resources/nds4nt/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/nds4nt
	java-pkg_dojar "${WORKDIR}"/snapins/nds4nt/*.jar
	into /usr/ConsoleOne
	dolib "${WORKDIR}"/bin/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
