# Copyrig4#ht 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="AxTZG01dwNA~"
NOVELL_FILE32="patchfiles/BM39SP1.zip"
NOVELL_FILE64="patchfiles/BM39SP1.zip"
RESTRICT="mirror strip"

inherit novell eutils versionator

MY_PV="${PV/_p/-}"
DESCRIPTION="Client Authentication for BorderManager"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32} )
        amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE64} )"
LICENSE="Novell-eDir-87"
SLOT="0"
KEYWORDS="~x86"
IUSE=""
DEPEND="app-arch/p7zip"
RDEPEND="virtual/libc
	>=dev-libs/libxml2-2.6.20
	>=dev-libs/glib-2.8.1
	>=dev-libs/popt-1.7
	>=gnome-base/gconf-2.12.0
	>=gnome-base/gnome-vfs-2.12.0
	>=gnome-base/libbonobo-2.10.1
	>=gnome-base/libbonoboui-2.10.1
	>=gnome-base/libglade-2.5.1
	>=gnome-base/libgnome-2.12.0
	>=gnome-base/libgnomecanvas-2.12.0
	>=gnome-base/libgnomeui-2.12.0
	>=gnome-base/orbit-2.12.4
	>=media-libs/libart_lgpl-2.3.17
	>=sys-libs/novell-xplatlib-1.0.1
	>=x11-libs/gtk+-2.8.3
	>=x11-libs/libICE-1.0
	>=x11-libs/libSM-1.0
	>=x11-libs/libX11-1.0
	>=x11-libs/pango-1.10.0
	>=sys-libs/zlib-1.2.3"
RESTRICT="nomirror nostrip"

src_unpack() {
	cd ${WORKDIR}
	7z x ${DISTDIR}/${A}
	mkdir -p ${WORKDIR}/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	7z x ${WORKDIR}/NBM39SP1_14032008/SYS/PUBLIC/clntrust.tar
}

src_compile() { :; }

src_install() {
	into /opt/novell/BorderManager
	dobin ${WORKDIR}/${PN}-${MY_PV}/clntrust
	insinto /opt/novell/BorderManager/bin
	dobin ${WORKDIR}/${PN}-${MY_PV}/icon.png
	newicon ${WORKDIR}/${PN}-${MY_PV}/icon.png ${PN}.png
	make_desktop_entry /opt/novell/BorderManager/bin/clntrust "Novell BM clntrust" ${PN}.png Network
}

pkg_nofetch() {
        einfo "This files require you to register at ${HOMEPAGE} (free account)"
        einfo "Please download following file:"
        if use x86
        then
            einfo " - ${NOVELL_FILE32}"
        elif use amd64
        then
            einfo " - ${NOVELL_FILE64}"
        fi
        einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
        einfo "and place it in ${DISTDIR}"
        einfo ""
        einfo "To get rid of downloading files from ${HOMEPAGE}"
        einfo "you can create a file /etc/portage/novell.acc"
        einfo "containing the novell account infos with following commands"
        einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
        einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}

