# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="oHdJl37wCb0~"
NOVELL_FILE="eDirectory_88SP8_Linux_x86_64.tar.gz"
RESTRICT="mirror strip"
USE_RPMOFFSET_ONLY="1"

inherit novell eutils rpm java-utils-2 versionator

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="NetIQ eDirectory XDAS logging"
HOMEPAGE="http://www.netiq.com/"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE}"

LICENSE="NetIQ-eDir-88"
SLOT="8.8"
KEYWORDS="~amd64"
IUSE=""

DEPEND=""

RDEPEND="dev-libs/netiq-edirectory-expat:8.8
	net-nds/netiq-edirectory-xdaslog:8.8
	net-nds/netiq-ndsbase:8.8
"

src_unpack() {
	cd "${WORKDIR}"
	unpack  ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}

	narch=x86_64
	nlib=lib64
	rpm_unpack ../work/eDirectory/setup/novell-edirectory-xdaslog-${MY_PV}.${narch}.rpm
	rpm_unpack ../work/eDirectory/setup/novell-edirectory-xdaslog-conf-${MY_PV}.noarch.rpm
}

src_compile() { :; }

src_install() {
	dosym . /opt/novell/eDirectory/$(get_libdir)/apr/$(get_libdir)
	into /opt/novell/eDirectory/$(get_libdir)/apr
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/apr/*
	rm "${D}"/opt/novell/eDirectory/$(get_libdir)/apr/$(get_libdir)
	into /opt/novell/eDirectory
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*
	insinto /etc/opt/novell/eDirectory/conf
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/novell/eDirectory/conf/*.*

}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file(s):"
	einfo " - ${NOVELL_FILE}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place them in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
