# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="oHdJl37wCb0~"
NOVELL_FILE="eDirectory_88SP8_Linux_x86_64.tar.gz"
RESTRICT="mirror strip"
USE_RPMOFFSET_ONLY="1"

inherit novell eutils rpm java-utils-2 versionator systemd

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="NDS Server and DS Utilities"
HOMEPAGE="http://www.netiq.com/"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE}"

LICENSE="NetIQ-eDir-88"
SLOT="8.8"
KEYWORDS="~amd64"
IUSE="linguas_fr linguas_ja"

DEPEND=""

RDEPEND="virtual/libc
	>=app-crypt/netiq-nici-2.7.7
	dev-libs/netiq-edirectory-expat:8.8
	net-misc/netiq-ntls:8.8
	net-nds/netiq-ndsbase:8.8
	net-nds/netiq-novllmgnt:8.8
	net-misc/netiq-ncpenc:8.8
	net-nds/netiq-ndscommon:8.8
	net-nds/netiq-ndsmasv:8.8
	net-nds/netiq-nldapsdk:8.8
	app-crypt/netiq-npkiapi:8.8
	app-crypt/netiq-npkit:8.8
	sys-auth/netiq-nmas:8.8
	sys-libs/ncurses
	sys-libs/zlib
"

src_unpack() {
	cd "${WORKDIR}"
	unpack  ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}

	narch=x86_64
	nlib=lib64
	rpm_unpack ../work/eDirectory/setup/novell-NDSserv-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell/eDirectory/
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/bin/*
	dosbin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/sbin/ndsd
	dosbin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/sbin/nldap
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.*

	dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
	into /opt/novell/eDirectory/$(get_libdir)/nds-modules
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/*.*
	rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-schema
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-schema/*
	insinto /opt/novell/eDirectory/res
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/res/*

	insinto /etc/opt/novell/eDirectory/conf
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/novell/eDirectory/conf/*.*

	keepdir /opt/novell/eDirectory/$(get_libdir)/nds-install
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/nds-http/iconsole
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/nds-http/iconsole/*.css
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/nds-http/iconsole/images
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/nds-http/iconsole/images/*.gif
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*.gz
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/fr/*/*.gz
	use linguas_ja && doman -i18n=ja "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/ja/*/*.gz

	newconfd "${FILESDIR}"/ndsd88.confd ndsd
	newinitd "${FILESDIR}"/ndsd88.initd ndsd
	newinitd "${FILESDIR}"/nldap88.initd nldapd
	# add fake nldap bash script for compatibility
	newinitd "${FILESDIR}"/nldap.initd nldap
}

#pkg_postinst(){
#	/usr/bin/ether
#}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
