# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="oHdJl37wCb0~"
NOVELL_FILE="eDirectory_88SP8_Linux_x86_64.tar.gz"
RESTRICT="mirror strip"
USE_RPMOFFSET_ONLY="1"

inherit novell eutils rpm java-utils-2 versionator

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="LDAP Tools and Libraries"
HOMEPAGE="http://www.netiq.com/"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE}"

LICENSE="NetIQ-eDir-88"
SLOT="8.8"
KEYWORDS="~amd64"
IUSE="linguas_fr linguas_ja"

DEPEND=""

RDEPEND="virtual/libc
	net-nds/netiq-nldapsdk:8.8"

src_unpack() {
	cd "${WORKDIR}"
	unpack  ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}

	narch=x86_64
	nlib=lib64
	rpm_unpack ../work/eDirectory/setup/novell-NLDAPbase-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell/eDirectory
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/bin/*
	dolib "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.so*
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*.*
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/fr/*/*.*
	use linguas_ja && doman -i18n=ja "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/ja/*/*.*
	# rename conflicting man pages
	cd "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/man1
	for i in *
	do
	    mv "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/man1/${i} \
	    "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/man1/netiq-${i}
	    mv "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/fr/man1/${i} \
	    "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/fr/man1/netiq-${i}
	    mv "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/ja/man1/${i} \
	    "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/ja/man1/netiq-${i}
	done
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/*/*.*
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/fr/*/*.*
	use linguas_ja && doman -i18n=ja "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/man/ja/*/*.*

}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file(s):"
	einfo " - ${NOVELL_FILE}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place them in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
