# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="oHdJl37wCb0~"
NOVELL_FILE="eDirectory_88SP8_Linux_x86_64.tar.gz"
RESTRICT="mirror strip"
USE_RPMOFFSET_ONLY="1"

inherit novell eutils rpm java-utils-2 versionator

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="NetIQ eDirectory Management Toolbox"
HOMEPAGE="http://www.netiq.com/"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE}"

LICENSE="NetIQ-eDir-88"
SLOT="8.8"
KEYWORDS="~amd64"
IUSE=""

DEPEND=""

RDEPEND="virtual/libc
	>=virtual/jre-1.6
	>=app-crypt/netiq-nici-2.7.7
	dev-libs/netiq-edirectory-expat:8.8
	net-misc/netiq-ncpenc:8.8
	net-misc/netiq-ntls:8.8
	net-nds/netiq-ndsbase:8.8
	net-nds/netiq-ndsserv:8.8
	net-nds/netiq-novllmgnt:8.8
	net-nds/netiq-novlxis:8.8
"

src_unpack() {
	cd "${WORKDIR}"
	unpack  ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}

	narch=x86_64
	nlib=lib64
	rpm_unpack ../work/eDirectory/setup/novell-NOVLembox-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell/eDirectory/
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/bin/d*
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.*

	dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
	into /opt/novell/eDirectory/$(get_libdir)/nds-modules
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/*
	rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/$(get_libdir)
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-schema
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-schema/*

#	dosed 's$`which java 2> /dev/null`$`java-config --jre-home 2> /dev/null`/jre/bin/java$' /opt/novell/eDirectory/bin/edirutil
#	dosed "s|/usr/lib/nds-modules/|/usr/$(get_libdir)/nds-modules/|" /usr/bin/edirutil

	into /usr
	java-pkg_jarinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/*.jar
	into /opt/novell/eDirectory/
	java-pkg_dolauncher edirutil --main embox

	dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/emtools/$(get_libdir)
	into /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/emtools
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/emtools/*
	rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/emtools/$(get_libdir)

	dosym . /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/$(get_libdir)
	into /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/*
	rm "${D}"/opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/$(get_libdir)

	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/config
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/config/*.xml
	insinto /opt/novell/eDirectory/$(get_libdir)/nds-modules/embox/res
	doins "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/nds-modules/embox/res/*.xlf

#	keepdir /var/nds/embox/log
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
