# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="hfY7O6iIdqw~"
NOVELL_FILE32="patchfiles/edir87310_ftf2.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm multilib versionator

MY_PV=$(replace_version_separator 4 '-')

DESCRIPTION="NetIQ eDirectory ICE Utilities"
HOMEPAGE="http://www.netiq.com/"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="NetIQ-eDir-88"
SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr"

DEPEND=""

RDEPEND="virtual/libc
	net-nds/netiq-ndsbase:8.7
	net-nds/netiq-nldapbase:8.7
	net-nds/netiq-novllmgnt:8.7
	net-nds/netiq-novlxis:8.7"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/edir87310_ftf2/Linux/NOVLice.i386.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	into /usr/ConsoleOne
	insinto /usr/ConsoleOne/etc
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/*
	dobin "${WORKDIR}"/${PN}-${MY_PV}/usr/bin/*
	dolib "${WORKDIR}"/${PN}-${MY_PV}/usr/lib/*
	insinto /usr/ConsoleOne/res
	doins "${WORKDIR}"/${PN}-${MY_PV}/usr/res/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
