# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="oHdJl37wCb0~"
NOVELL_FILE="eDirectory_88SP8_Linux_x86_64.tar.gz"
RESTRICT="mirror strip"
USE_RPMOFFSET_ONLY="1"

inherit novell eutils rpm java-utils-2 versionator

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p/_}"

DESCRIPTION="Directory User Agent"
HOMEPAGE="http://www.netiq.com/"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE}"

LICENSE="NetIQ-eDir-88"
SLOT="8.8"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_fr linguas_ja"

DEPEND=""

RDEPEND="virtual/libc
	>=app-crypt/netiq-nici-2.7.7
	net-misc/netiq-ntls:8.8
	net-nds/netiq-ndsbase:8.8
	net-nds/netiq-nldapbase:8.8
	net-nds/netiq-nldapsdk:8.8
"

src_unpack() {
	cd "${WORKDIR}"
	unpack  ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}

	narch=x86_64
	nlib=lib64
	rpm_unpack ../work/eDirectory/setup/novell-NOVLsubag-${MY_PV}.${narch}.rpm
}

src_compile() { :; }

src_install() {
	into /opt/novell/eDirectory/
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/bin/*
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/eDirectory/${nlib}/*.*
	doman "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/*/*.gz
	use linguas_fr && doman -i18n=fr "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/fr/*/*.gz
	use linguas_ja && doman -i18n=ja "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/man/ja/*/*.gz

	insinto /etc/opt/novell/eDirectory/conf/ndssnmp
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/novell/eDirectory/conf/ndssnmp/*.*
	doinitd "${WORKDIR}"/${PN}-${MY_PV}/etc/init.d/ndssnmpsa
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
